# OpenPod

OpenPod è il tentativo di restituire al podcasting la dimensione libera e conviviale che lo caratterizza sin dai suoi esordi.

Siamo tre amici che registrano, ascoltano, producono contenuti audio. Ci piacerebbe condividere soluzioni per farlo con hosting e software libero e gratuito, senza far ricorso ad account, profilazione, abbonamenti, pubblicità e monetizzazione.

Com'è possibile? Combinando l'hosting di archive.org, i feed rss, un pizzico di codice e alcune buone pratiche per la produzione dei vostri contenuti. Perché? Per liberarci dalla logica prestazione e commerciale che caratterizza il business model dominante, anche nelle nuove forme di fruizione sonora ma specialmente per generare comunità. Un progetto aperto e abilitante, che punta a mettere a fattor comune saperi comunitari.

Chi c'è? UAU POD, APE Podcast, Picchi di frequenza, Fuori fase..e tutte quanti vorranno condividere con noi l'avventura.

## Usage

In case of you have docker available on your server, you can run `Openpod` through a docker image:

```bash
docker run --rm \
  -e SECRET_KEY_BASE='my-very-long-secret-key' \
  -e APP_PORT=4000 \
  -e APP_HOST='openpod.abbiamoundominio.org' \
  -e APP_SCHEME=https \
  -p 80:4000 \
  openpod/open-pod:latest
```

After sever is started you can visit

`$APP_SCHEME://$APP_HOST/podcast/$PODCASTNAME`,

where $PODCASTNAME is the name of your item on archive.org, to get your podcast feed

i.e. 'https://openpod.abbiamoundominio.org/podcast/uau-pod'

#### Required environment variables

- `SECRET_KEY_BASE` - A secret key used as a base to generate secrets for encrypting and signing data. For example, cookies and tokens are signed by default, but they may also be encrypted if desired.
- `APP_PORT` - The tcp port on which the webserver will listen (i.e. 4000)
- `APP_HOST` - The http host configured to access this application (i.e. 'openpod.abbiamoundominio.org')
- `APP_SCHEME` - The http scheme to access this application (`http` | `https`)


## License

[MIT](LICENSE)
