# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
use Mix.Config

config :openpod,
  ecto_repos: [Openpod.Repo]

# Configures the endpoint
config :openpod, OpenpodWeb.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "SWl0xVj8AVXoc2G0eUk6VfeOd/lppjkaKbiHWs4ucxAUJ8+wzAEa4bMo0ZVjtVVk",
  render_errors: [view: OpenpodWeb.ErrorView, accepts: ~w(html json), layout: false],
  pubsub_server: Openpod.PubSub,
  live_view: [signing_salt: "6jHv46Xw"]

config :openpod,
  cache_duration: :timer.hours(24),
  base_url: "https://openpod.abbiamoundominio.org/",
  podders: [
    "uau-pod",
    "fuori-fase",
    "incontri-a-piano-terra",
    "la_blogosfera_podcast",
    "prnt_scrn_podcast",
    "anarcotraffico-001-20200611.128",
    "picchi-di-frequenza",
    "tracce_202005",
    "carteggio-podcast"
  ]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id]

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

config :openpod, Openpod.Boundary.ArchiveScheduler,
  jobs: [
    {"0 6-18 * * *", {Openpod.Boundary.ArchiveReloader, :reload, []}}
  ]

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{Mix.env()}.exs"
